Difference between revisions of "Draft Line/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "====Ansicht======== * {{PropertyView/de|Ende Pfeil}}: Wenn es {{TRUE}} ist, zeigt es ein Symbol am letzten Punkt der Linie an, so dass es als Anmerkungslinie verwendet werden...")
Line 62: Line 62:
 
* {{PropertiesView|Pfeil Typ}}: gibt den Typ des am Ende der Zeile angezeigten Symbols an, das " Punkt ", " Kreis ", " Pfeil " oder " Haken " sein kann.
 
* {{PropertiesView|Pfeil Typ}}: gibt den Typ des am Ende der Zeile angezeigten Symbols an, das " Punkt ", " Kreis ", " Pfeil " oder " Haken " sein kann.
  
<div class="mw-translate-fuzzy">
+
==Skripten==
==Scripting==
+
{{Emphasis|Siehe auch:}} [[Draft API/de|Draft API]] und [[FreeCAD Scripting Basics/de|FreeCAD Skripten Grundlagen]].
{{Emphasis|Siehe auch:}} [[Draft API/de|Draft API]] und [[FreeCAD Scripting Basics/de|FreeCAD Scripting Basics]].
 
</div>
 
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">

Revision as of 18:24, 5 December 2019

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Nächste: Draht Draft Wire.svg Arrow-right.svg

Draft Line.svg {{{Name/de}}}

Menüeintrag
Entwurf → Linie
Arbeitsbereich
Entwurf, Arch Arbeitsbereich
Standardtastenkürzel
L I
In der Version eingeführt
0.7
Siehe auch
Draft Wire, Draft Point


Beschreibung

Das Linienwerkzeug erzeugt eine gerade Linie, die durch zwei Punkte definiert ist. Es wird das Draft Linestyle verwendet, das auf dem [[Draft Tray /de|Draft Tray]] gesetzt ist. Das Linienwerkzeug verhält sich genau wie das Werkzeug Draft Wire, nur dass es nach zwei Punkten stoppt.

Draft Line example.jpg

Linie erzeugt durch zwei Punkte


Anwendung

  1. Drücke die Taste Draft Line.svg Draft Line, oder drücke L und dann I Tasten.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svgPunkt hinzufügen Taste.
  3. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svg Punkt hinzufügen Taste.

Die Linie kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Schaltfläche Draft Edit.svg Bearbeiten. Dann kannst Du die Punkte an eine andere Position ziehen.

Verschmelzen einzelner Linien

Wenn verschiedene verbundene Draft Linien ausgewählt sind, können sie durch Drücken des Draft Upgrade.svg Draft Hoststufen-Werkzeugs zu einem Linienzug verschmolzen werden; allerdings wird dieser Linienzug nicht änderbar sein. Um einen änderbaren Linienzug zu erzeugen, benutze Draft Upgrade.svg Hochstufen drei weitere Male an den neuen Formen (Linienzug, geschlossener Linienzug, Fläche). Du kann auch die ursprünglichen Linien mit dem Draft Wire.svg Linienzug-Werkzeug verschmelzen.

Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen und klicke irgendwo auf der Linie.

Optionen==

  • Drücke X}, Y oder Z nach dem ersten Punkt, um den zweiten Punkt auf der angegebenen Achse zu beschränken.
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücken dann Enter zwischen den einzelnen X-, Y- und Z-Komponenten.
    • Du kannst auch die Polarkoordinaten des Punktes definieren, indem du einen Wert für "Länge" und "Winkel" angibst. Klicke auf das Kontrollkästchen neben "Winkel", um den Zeiger auf den angegebenen Winkel zu beschränken.
    • Du kannst die Draft AddPoint.svg Punkt hinzufügen Taste drücken wenn Du die gewünschten Werte hast, um den Punkt einzufügen.
  • Drücke {R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten; wenn nicht, sind sie absolut, bezogen auf den Ursprung (0,0,0).
  • Drücke T oder klicke auf das Kontrollkästchen, um den Weiter-Modus umzuschalten. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Linienwerkzeug nach der Eingabe des zweiten Punktes neu gestartet, so dass du ein weiteres Liniensegment zeichnen kannst, ohne die Werkzeugtaste erneut zu drücken.
  • Halte Ctrl während des Zeichnens gedrückt, um Fang deinen Punkt auf die nächstgelegene Fangposition zu zwingen, unabhängig von der Entfernung.
  • Halte Shift während des Zeichnens gedrückt, um deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zu Beschränkung.
  • Drücke Ctrl+Z oder drücke die Draft UndoLine.png Rückgängig Schaltfläche, um den letzten Punkt rückgängig zu machen.
  • Drücke Esc oder die Taste Close, um den aktuellen Befehl abzubrechen.

Eigenschaften=

Ein Linienobjekt teilt alle Eigenschaften eines Draft Wire, jedoch sind nur einige dieser Eigenschaften auf die Linie anwendbar.

Daten

  • Daten-EigenschaftStart: Gibt den Startpunkt an.
  • Daten-EigenschaftEnde: Gibt den Endpunkt an.
  • Daten-EigenschaftUnterteilung: Gibt die Anzahl von inneren Knoten der Linie an. verfügbar in Version 0.16
  • Daten-EigenschaftLänge: (nur-lesen) Gibt die Länge des Segments an.

Ansicht====

  • Ansicht EigenschaftEnde Pfeil: Wenn es True ist, zeigt es ein Symbol am letzten Punkt der Linie an, so dass es als Anmerkungslinie verwendet werden kann.
  • Template:PropertiesView/de: Gibt die Größe des Symbols an, das am Ende der Zeile angezeigt wird.
  • Template:PropertiesView: gibt den Typ des am Ende der Zeile angezeigten Symbols an, das " Punkt ", " Kreis ", " Pfeil " oder " Haken " sein kann.

Skripten

Siehe auch: Draft API und FreeCAD Skripten Grundlagen.

Das Linie-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Erstellt ein Line-Objekt zwischen den beiden durch Vektoren gegebenen Punkten p1 and p2, die jeweils durch ihren FreeCAD.Vector definiert sind.
  • Erstellt eine Line aus einem Part.LineSegment
  • Erstellt eine Line vom ersten zum letzten Eckpunkt eines gegebenen Shape-Objekts

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)